#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QLabel>
#include <QPushButton>
#include <computewidget.h>
#include "libocci/occilib.h"
#include "controller.h"
#include "vmchooserdialog.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    void addVM(std::string id, std::string name);
    void loadData();

signals:
    void send_templates(std::vector<Template>);

private slots:
    void on_bLogin_clicked();
    void renewClicked(std::string);
    void startClicked(std::string);
    void wakeupClicked(std::string);
    void sleepClicked(std::string);

    void receive_chosen_template(Template);

    void on_listWidget_clicked(const QModelIndex &index);

    void on_bRefresh_clicked();

    void on_bNewVM_clicked();

private:
    Ui::MainWindow *ui;
    Controller myController;
    std::vector<std::string> VM_names;
};

#endif // MAINWINDOW_H
